package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.box.AppInEntity
import com.zxhl.cms.net.model.box.DepotEntity
import com.zxhl.cms.net.model.box.NoticeEntity


class WareHouseContract {
    interface View {
        fun setWareHouseData(boolean: Boolean,reslut: List<DepotEntity>?)
        fun setLoadMore(isBoolean: Boolean)
        fun recoverSuccess()
        fun loadError()
        fun setAppInfo(reslut: AppInEntity?)
        fun setNotice(reslut:NoticeEntity?)
    }

    interface Presenter {
        fun getDepot(status: Int?, type: Int?,boolean:Boolean)
        fun clearPage()
        fun recoverGoods(depotIds:String,recovertype:String)
        fun getAppInfo()
        fun getNotice()
    }
}